var app = app || {};

var WatcherView = Backbone.View.extend({
    model: app.Watcher,
    
    update: function(){
        this.model.fetch({
            success: function(model, response, options){
                getSessionInfo();
            },
            error: function(model, response, options){
                if(response.status == 401){
                    authInfo.loggedIn = false;
                    $("#loginBar").css("visibility", "hidden");
                    logText('Welcome! Please log in.');
                }
            }
        });
    },
    
    initialize: function(){        
        this.listenTo(app.Watcher, 'change', function(){
            logText('Server data updated!');
            draw();
        });
    }
});

app.WatcherView = new WatcherView();